package com.example.android.web;

import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;
import android.view.View;
import android.widget.AdapterView;
import android.widget.ArrayAdapter;
import android.widget.ListView;
import android.widget.AdapterView.OnItemClickListener;

public class Main extends Activity {

	private Object[] activities = {
			"Yahoo!",				Example01.class,
			"Google",				Example01.class,
			"Load URL", 			Example02.class,
			"Back and Forward", 	Example03.class,
			"Gesture",				Example04.class,
			"JS Combo", 			Example05.class,
			"JS Handle",			Example06.class,
			"Google Translation",	Example07.class,
		};
	
	@Override
	public void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.main);
		
		CharSequence[] list = new CharSequence[activities.length / 2];
		for (int i = 0; i < list.length; i++) {
			list[i] = (String)activities[i * 2];
		}
		
		ArrayAdapter<CharSequence> adapter = new ArrayAdapter<CharSequence>(this, android.R.layout.simple_list_item_1, list);
		ListView listView = (ListView)findViewById(R.id.ListView01);
		listView.setAdapter(adapter);

		listView.setOnItemClickListener(new OnItemClickListener() {

			@Override
			public void onItemClick(AdapterView<?> parent, View view, int position, long id) {
				
				Intent intent = new Intent(Main.this, (Class<?>)activities[position * 2 + 1]);
				if (position == 0) intent.putExtra("url", "http://www.yahoo.com");
				if (position == 1) intent.putExtra("url", "http://www.google.com");
				if (position == 4) intent.putExtra("url", "http://www.msn.com");
				if (position == 5) intent.putExtra("url", "http://www.atmarkit.co.jp/fjava/rensai4/android09/js1.html");
				if (position == 6) intent.putExtra("url", "http://www.atmarkit.co.jp/fjava/rensai4/android09/js2.html");
				if (position == 7) intent.putExtra("url", "http://www.atmarkit.co.jp/fjava/rensai4/android09/js3.html");
				startActivity(intent);
			}
			
		});
		
	}
}